Package htsjdk.samtools.cram

# Class CRAMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.samtools.SAMException
htsjdk.samtools.cram.CRAMException

All Implemented Interfaces:
  `Serializable`

public class CRAMException extends SAMException
Created by edwardk on 8/13/15.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CRAMException()`
`CRAMException(String s)`
`CRAMException(String s, Throwable throwable)`
`CRAMException(Throwable throwable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CRAMException

public CRAMException()

### CRAMException

public CRAMException(String s)

### CRAMException

public CRAMException(String s, Throwable throwable)

### CRAMException

public CRAMException(Throwable throwable)